Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1115669 - Review Request: nodejs-grunt-banner - Adds a simple banner to files
Summary: Review Request: nodejs-grunt-banner - Adds a simple banner to files
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1115659
TreeView+ depends on / blocked
 
Reported: 2014-07-02 21:04 UTC by Ralph Bean
Modified: 2014-11-18 12:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-24 13:39:37 UTC
tom: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-02 21:04:00 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-grunt-banner.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-grunt-banner-0.2.3-1.fc20.src.rpm

Description:
Adds a simple banner to files

Comment 1 Tom Hughes 2014-10-22 19:24:48 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/tom/1115669-nodejs-grunt-banner/licensecheck.txt
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-grunt-banner-0.2.3-1.fc22.x86_64.rpm
          nodejs-grunt-banner-0.2.3-1.fc22.src.rpm
nodejs-grunt-banner.x86_64: E: no-binary
nodejs-grunt-banner.x86_64: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 1 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-grunt-banner
nodejs-grunt-banner.x86_64: E: no-binary
nodejs-grunt-banner.x86_64: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-grunt-banner (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(grunt)



Provides
--------
nodejs-grunt-banner:
    nodejs-grunt-banner
    nodejs-grunt-banner(x86-64)
    npm(grunt-banner)



Source checksums
----------------
http://registry.npmjs.org/grunt-banner/-/grunt-banner-0.2.3.tgz :
  CHECKSUM(SHA256) this package     : de3e57004f56fff7cb2ec1b0d07ad1c53ff193e7c06777d6acf2bee774adc08e
  CHECKSUM(SHA256) upstream package : de3e57004f56fff7cb2ec1b0d07ad1c53ff193e7c06777d6acf2bee774adc08e


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1115669
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Tom Hughes 2014-10-22 19:25:51 UTC
Couple of things:

* This should build as noarch

* You may want to package from github (or pull in the tests as a separate source) so that the tests can be run

Comment 3 Tom Hughes 2014-10-22 20:05:48 UTC
Oh, and there is no need to add requires for npm modules to the spec - they will be added automatically.

Comment 4 Ralph Bean 2014-10-23 19:14:50 UTC
Here's a release that adds the noarch declaration, but it doesn't yet try to take on the tests and it leaves the npm module requirements in place.

Spec URL: http://threebean.org/rpm/SPECS/nodejs-grunt-banner.spec
SRPM URL: http://threebean.org/rpm/SRPMS/nodejs-grunt-banner-0.2.3-2.fc20.src.rpm

Comment 5 Tom Hughes 2014-10-23 20:09:25 UTC
With the noarch fixed this can be approved. I'll leave the other things to your discretion.

Comment 6 Ralph Bean 2014-10-23 20:29:36 UTC
New Package SCM Request
=======================
Package Name: nodejs-grunt-banner
Short Description: Adds a simple banner to files
Upstream URL: https://npmjs.org/package/grunt-banner
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 7 Gwyn Ciesla 2014-10-24 11:51:09 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-10-24 13:37:16 UTC
nodejs-grunt-banner-0.2.3-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-grunt-banner-0.2.3-2.fc21

Comment 9 Fedora Update System 2014-10-24 13:37:29 UTC
nodejs-grunt-banner-0.2.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-grunt-banner-0.2.3-2.fc20

Comment 10 Fedora Update System 2014-10-24 13:37:39 UTC
nodejs-grunt-banner-0.2.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-grunt-banner-0.2.3-2.fc19

Comment 11 Ralph Bean 2014-10-24 13:39:37 UTC
Built and buildroot overrides submitted.

Comment 12 Fedora Update System 2014-11-18 12:09:20 UTC
nodejs-grunt-banner-0.2.3-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 13 Fedora Update System 2014-11-18 12:19:03 UTC
nodejs-grunt-banner-0.2.3-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 14 Fedora Update System 2014-11-18 12:21:41 UTC
nodejs-grunt-banner-0.2.3-2.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.